ioctl VIDIOC_OVERLAY
&manvol;

# VIDIOC_OVERLAY

Start or stop video overlay

    	int ioctl
    	int fd
    	int request
    	const int *argp

## Arguments

`fd`

  &fd;

`request`

  VIDIOC_OVERLAY

`argp`

## Description

This ioctl is part of the video overlay I/O method. Applications call `VIDIOC_OVERLAY` to start or stop the overlay. It takes a pointer to an integer which must be set to zero by the application to stop overlay, to one to start.

Drivers do not support &VIDIOC-STREAMON; or &VIDIOC-STREAMOFF; with `V4L2_BUF_TYPE_VIDEO_OVERLAY`.

&return-value;

EINVAL

  The overlay parameters have not been set up. See for the necessary steps.